# frozen_string_literal: true

require_relative "lib/rails_ibm/uprofile/version"

Gem::Specification.new do |spec|
  spec.name          = "rails_ibm-uprofile"
  spec.version       = RailsIbm::Uprofile::VERSION
  spec.authors       = ["Thiago Silva"]
  spec.email         = ["thiagogs@br.ibm.com"]

  spec.summary       = "IBM Module - Bluepages"
  spec.description   = "This module Allow the user to retrieve information from the IBM unified profile program."
  spec.homepage      = "https://github.com/niightly/rails_ibm-uprofile"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/niightly/rails_ibm-uprofile"
  spec.metadata["changelog_uri"] = "https://github.com/niightly/rails_ibm-uprofile/releases"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib", "lib/rails_ibm/uprofile/bluepages"]

  # Uncomment to register a new dependency of your gem
  spec.add_dependency 'httparty', '~> 0.18.1'
  spec.add_development_dependency 'byebug', '~> 11.1', '>= 11.1.3'

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
